webpackJsonp([63],{

/***/ 554:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "MainTabsPageModule", function() { return MainTabsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(32);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__main_tabs__ = __webpack_require__(686);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
//TABS



// import { PublishingPage } from '../publishing/publishing';
var MainTabsPageModule = /** @class */ (function () {
    function MainTabsPageModule() {
    }
    MainTabsPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["L" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__main_tabs__["a" /* MainTabsPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__main_tabs__["a" /* MainTabsPage */]),
            ]
        })
    ], MainTabsPageModule);
    return MainTabsPageModule;
}());

;
//# sourceMappingURL=main-tabs.module.js.map

/***/ }),

/***/ 686:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MainTabsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(32);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_badge_count_badge_count__ = __webpack_require__(82);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_user_settings_user_settings__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_publishing_service_publishing_service__ = __webpack_require__(62);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


//PROVIDERS



var MainTabsPage = /** @class */ (function () {
    function MainTabsPage(_navParams, _navController, 
    // private _loadingController: LoadingController, 
    _alertController, _badgeCountProvider, _userSettingsProvider, _publishingProvider) {
        var _this = this;
        this._navParams = _navParams;
        this._navController = _navController;
        this._alertController = _alertController;
        this._badgeCountProvider = _badgeCountProvider;
        this._userSettingsProvider = _userSettingsProvider;
        this._publishingProvider = _publishingProvider;
        this._publishingParams = { title: "Publishing" };
        this._inboxParams = { title: "Inbox" };
        this._feedsParams = { title: "Feeds" };
        this.repParams = { title: "Reputation" };
        this._instaParams = { title: "Instagram Notifications" };
        this._tiktokParams = { title: "Tiktok Notifications" };
        this._hideInboxEventCounter = false;
        this._isInboxNotificationArrived = true;
        this._instagramPendingCount = 0;
        this._tikTokPendingCount = 0;
        console.log("MainTabsPage - constructor - navParams - ", _navParams);
        this._mySelectedIndex = this._navParams.data.tabIndex || 0;
        //Subscription
        this._userSettingsSubscription = this._userSettingsProvider.userSettings$.subscribe(function (userSettings) {
            // settings["hideInboxEventCounter"] = "true";
            if (userSettings) {
                _this._userSettings = userSettings;
                _this._hideInboxEventCounter = (userSettings["hideInboxEventCounter"] == '1' || userSettings["hideInboxEventCounter"] == 'true' || userSettings["hideInboxEventCounter"] == true) ? true : false;
            }
        });
        //Subscriptions Settings
        this._badgeCountSubscription = this
            ._badgeCountProvider
            .badgeCount$
            .subscribe(function (badgeCount) {
            if (badgeCount != undefined) {
                _this._inboxUncompletedBadgeCount = badgeCount["numberOfNewEvents"];
            }
        }, function (settingsError) { });
        this._userSettingsProvider.inboxNotification$.subscribe(function (status) {
            _this._isInboxNotificationArrived = status;
        });
        this._publishingProvider.instagramPendingCount$.subscribe(function (count) {
            _this._instagramPendingCount = count;
        });
        this._publishingProvider.tikTokPendingCount$.subscribe(function (count) {
            _this._tikTokPendingCount = count;
        });
    }
    ; //end constructor
    /*================ LIFE CYCLE EVENTS ======================*/
    MainTabsPage.prototype.ionViewDidLoad = function () {
        return this._getBadgeCount();
    };
    ; // end ionViewDidLoad
    MainTabsPage.prototype.ionViewWillUnload = function () {
        this._userSettingsSubscription.unsubscribe();
        this._badgeCountSubscription.unsubscribe();
    };
    ; // end ionViewDidLoad
    /*================ PRIVATE METHODS ======================*/
    MainTabsPage.prototype._getBadgeCount = function () {
        var _this = this;
        //Loading Controller
        /*     const inboxUncompletedBadgeCountLoading = this
              ._loadingController
              .create({ content: "Getting  ..." });
            inboxUncompletedBadgeCountLoading.present();
         */ this
            ._badgeCountProvider
            .getInboxUncompletedBadgeCount()
            .subscribe(function (inboxUncompletedBadgeCount) {
            _this._inboxUncompletedBadgeCount = inboxUncompletedBadgeCount["numberOfNewEvents"];
            // inboxUncompletedBadgeCountLoading.dismiss();
            // return true;
        }, function (inboxUncompletedBadgeCountError) {
            // inboxUncompletedBadgeCountLoading.dismiss();
            var alert = _this
                ._alertController
                .create({
                title: null,
                message: inboxUncompletedBadgeCountError.message,
                buttons: [
                    {
                        text: "Ok"
                    }
                ]
            });
            alert.present();
            // return false;
        }); // end
    };
    ; //end _getBadgeCount
    MainTabsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({ selector: 'page-main-tabs',template:/*ion-inline-start:"E:\projects\IONIC-eClincher\src\pages\main-tabs\main-tabs.html"*/'<ion-tabs mainTab [selectedIndex]="_mySelectedIndex" name="conference"\n\n	[ngClass]="{\'blink\':_isInboxNotificationArrived}">\n\n	<ion-tab [root]="\'PublishingPage\'" [rootParams]="_publishingParams" tabIcon="fa-edit"></ion-tab>\n\n\n\n	<ion-tab [root]="\'InboxPage\'" [rootParams]="_inboxParams" tabIcon="fa-inbox"\n\n		[tabBadge]="_hideInboxEventCounter === true ? null : _inboxUncompletedBadgeCount" tabBadgeStyle="danger"\n\n		class="inbox"></ion-tab>\n\n\n\n	<ion-tab [root]="\'AccountsSocialProfilesPage\'" [rootParams]="_feedsParams" tabIcon="fa-bars"></ion-tab>\n\n\n\n	<!-- To show tab in approval list page -->\n\n	<ion-tab [root]="\'ApprovalListPage\'" show="false" tabIcon="ios-contacts-outline"></ion-tab>\n\n\n\n	<!-- <ion-tab [root]="\'ReputationsPage\'" show="false" [rootParams]="repParams" tabIcon="ios-albums-outline"\n\n	></ion-tab> -->\n\n	<ion-tab [root]="\'InstagramNotificationsPage\'" [rootParams]="_instaParams" tabIcon="fa-instagram"\n\n		[tabBadge]="_instagramPendingCount === 0 ? null : _instagramPendingCount" tabBadgeStyle="danger" class="inbox">\n\n	</ion-tab>\n\n\n\n	<ion-tab [root]="\'TiktokNotificationsPage\'" [rootParams]="_tiktokParams" tabIcon="fa-tiktok"\n\n		[tabBadge]="_tikTokPendingCount === 0 ? null : _tikTokPendingCount" tabBadgeStyle="danger" class="inbox">\n\n	</ion-tab>\n\n</ion-tabs>'/*ion-inline-end:"E:\projects\IONIC-eClincher\src\pages\main-tabs\main-tabs.html"*/ }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["p" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_2__providers_badge_count_badge_count__["a" /* BadgeCountProvider */],
            __WEBPACK_IMPORTED_MODULE_3__providers_user_settings_user_settings__["a" /* UserSettingsProvider */],
            __WEBPACK_IMPORTED_MODULE_4__providers_publishing_service_publishing_service__["a" /* PublishingProvider */]])
    ], MainTabsPage);
    return MainTabsPage;
}());

; // end class MainTabsPage
//# sourceMappingURL=main-tabs.js.map

/***/ })

});
//# sourceMappingURL=63.js.map